Package org.opensaml.security.httpclient

# Class HttpClientSecurityConstants

java.lang.Object
org.opensaml.security.httpclient.HttpClientSecurityConstants

public final class HttpClientSecurityConstants extends Object
Security-related constants for use with Apache HttpClient.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONTEXT_KEY_CLIENT_TLS_CREDENTIAL`
HttpContext key for the client TLS credential.
`static final String`
`CONTEXT_KEY_CRITERIA_SET`
Context key for a criteria set instance supplied by an HttpClient caller.
`static final String`
`CONTEXT_KEY_HOSTNAME_VERIFIER`
HttpContext key for an instance of `HostnameVerifier`.
`static final String`
`CONTEXT_KEY_SERVER_TLS_CREDENTIAL_TRUSTED`
Context key for a server TLS credential evaluation result, populated by specialized instances of HttpClient socket factories.
`static final String`
`CONTEXT_KEY_SERVER_TLS_FAILURE_IS_FATAL`
Context key for indicating whether server TLS evaluation failure should be treated as a fatal error.
`static final String`
`CONTEXT_KEY_TLS_CIPHER_SUITES`
HttpContext key for a a list of TLS cipher suites to enable on the socket.
`static final String`
`CONTEXT_KEY_TLS_PROTOCOLS`
HttpContext key for a a list of TLS protocols to enable on the socket.
`static final String`
`CONTEXT_KEY_TRUST_ENGINE`
Context key for a trust engine instance supplied by an HttpClient caller.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`HttpClientSecurityConstants()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONTEXT_KEY_TRUST_ENGINE

@Nonnull @NotEmpty public static final String CONTEXT_KEY_TRUST_ENGINE
Context key for a trust engine instance supplied by an HttpClient caller. Value must be an instance of `TrustEngine``<? super` `X509Credential``>`.

See Also:
  - Constant Field Values

### CONTEXT_KEY_CRITERIA_SET

@Nonnull @NotEmpty public static final String CONTEXT_KEY_CRITERIA_SET
Context key for a criteria set instance supplied by an HttpClient caller. Value must be an instance of `CriteriaSet`.

See Also:
  - Constant Field Values

### CONTEXT_KEY_SERVER_TLS_CREDENTIAL_TRUSTED

@Nonnull @NotEmpty public static final String CONTEXT_KEY_SERVER_TLS_CREDENTIAL_TRUSTED
Context key for a server TLS credential evaluation result, populated by specialized instances of HttpClient socket factories. Type will be a `Boolean`.

See Also:
  - Constant Field Values

### CONTEXT_KEY_SERVER_TLS_FAILURE_IS_FATAL

@Nonnull @NotEmpty public static final String CONTEXT_KEY_SERVER_TLS_FAILURE_IS_FATAL
Context key for indicating whether server TLS evaluation failure should be treated as a fatal error. Type will be a `Boolean`.

See Also:
  - Constant Field Values

### CONTEXT_KEY_CLIENT_TLS_CREDENTIAL

@Nonnull @NotEmpty public static final String CONTEXT_KEY_CLIENT_TLS_CREDENTIAL
HttpContext key for the client TLS credential. Must be an instance of `X509Credential`.

See Also:
  - Constant Field Values

### CONTEXT_KEY_TLS_PROTOCOLS

@Nonnull @NotEmpty public static final String CONTEXT_KEY_TLS_PROTOCOLS
HttpContext key for a a list of TLS protocols to enable on the socket. Must be an instance of `List``<``String``>`.

See Also:
  - Constant Field Values

### CONTEXT_KEY_TLS_CIPHER_SUITES

@Nonnull @NotEmpty public static final String CONTEXT_KEY_TLS_CIPHER_SUITES
HttpContext key for a a list of TLS cipher suites to enable on the socket. Must be an instance of `List``<``String``>`.

See Also:
  - Constant Field Values

### CONTEXT_KEY_HOSTNAME_VERIFIER

@Nonnull @NotEmpty public static final String CONTEXT_KEY_HOSTNAME_VERIFIER
HttpContext key for an instance of `HostnameVerifier`.

See Also:
  - Constant Field Values

## Constructor Details

### HttpClientSecurityConstants

private HttpClientSecurityConstants()
Constructor.